import pygame
import os
import math
from gameObject import GameObject


class Wall(GameObject):

	def __init__(self,gameScene,x,y):
		self.img = "wall"
		GameObject.__init__(self,gameScene,x,y,26,26)
		self.rect = pygame.Rect(x,y,26,26)
		
	def draw(self):
		gE = self.gameScene.gameEngine
		img_str = os.path.join(self.img)      
		img = gE.resourceManager.getImage(img_str)
		gE.screen.blit(img,(self.rect.x -15,self.rect.y -15))